aboutsummaryrefslogtreecommitdiff
path: root/lib/keyringer/actions/teardown
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2013-12-10 22:13:25 -0200
committerSilvio Rhatto <rhatto@riseup.net>2013-12-10 22:13:25 -0200
commit21e393464645c76c949d74180ce04b7507e0d738 (patch)
tree877bad044cc49ea185737d810ab82040b5f005c1 /lib/keyringer/actions/teardown
parentb2b3a02e33c9efbbfce46a658360189ecc8dda2a (diff)
downloadkeyringer-21e393464645c76c949d74180ce04b7507e0d738.tar.gz
keyringer-21e393464645c76c949d74180ce04b7507e0d738.tar.bz2
Adding 'teardown' action
Diffstat (limited to 'lib/keyringer/actions/teardown')
-rwxr-xr-xlib/keyringer/actions/teardown27
1 files changed, 27 insertions, 0 deletions
diff --git a/lib/keyringer/actions/teardown b/lib/keyringer/actions/teardown
new file mode 100755
index 0000000..3d33da4
--- /dev/null
+++ b/lib/keyringer/actions/teardown
@@ -0,0 +1,27 @@
+#!/bin/bash
+#
+# Remove a keyring.
+#
+
+# Load functions
+LIB="`dirname $0`/../functions"
+source "$LIB" || exit 1
+
+# Options
+CONFIRM="$2"
+
+if [ -z "$CONFIRM" ] || [ "$CONFIRM" != "-y" ]; then
+ echo "WARNING: about to remove the LOCAL copy of $KEYRING"
+ echo "WARNING: This will irrevocably destroy $KEYDIR"
+ echo "WARNING: the action cannot be undone!"
+
+ read -rep "Are you sure to WIPE keyring $KEYRING (type YES to confirm)? " key
+ if [ "$key" != "YES" ]; then
+ exit 1
+ fi
+fi
+
+# Teardown
+keyringer_shred `dirname $KEYDIR`
+keyringer_shred $HOME/.keyringer/$KEYRING
+sed -i -e "/^$KEYRING=/d" $HOME/.keyringer/config